#ifndef _WLLIB_H
#define _WLLIB_H 1

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>

extern char *pname;

extern void wl_init(int *argcp,char **argv,const char *class);
extern void wl_line(long x,long y);
extern void wl_done(void);

#define iofail() do { perror(pname); exit(EXIT_FAILURE); } while (0)
#define iofailn(e) do { errno=(e); perror(pname); exit(EXIT_FAILURE); } while (0)

#ifndef HAVE_RINT
#define rint
#endif

#endif
